import { RestService } from '@fly-vue/core';
export declare class AppService extends RestService {
    constructor(config?: any);
    summary(appId: any, params: any): Promise<import("axios").AxiosResponse<any>>;
    authServices(appId: any, queryOptions: any): Promise<import("axios").AxiosResponse<any>>;
    getAuthService(queryOptions: any): Promise<import("axios").AxiosResponse<any>>;
    appliedServices(appId: any, queryOption: any): Promise<any[] | {
        data: never[];
        headers: any;
    }>;
    mine(params?: any): Promise<import("axios").AxiosResponse<any>>;
    authorized(params?: any): Promise<import("axios").AxiosResponse<any>>;
    authorizedApp(id: any): Promise<import("axios").AxiosResponse<any>>;
    mineApp(id: any, params?: any): Promise<import("axios").AxiosResponse<any>>;
    authFilter(needPerms: any): (to: any, _from: any, _next: any) => Promise<any>;
    getMemberIds(appId: any): Promise<import("axios").AxiosResponse<any>>;
    adminCount(appId: any): Promise<import("axios").AxiosResponse<any>>;
    getAppMember(appId: any, params: any): Promise<import("axios").AxiosResponse<any>>;
    servicePublished(options: any): Promise<import("axios").AxiosResponse<any>>;
    getClients(appId: any, params: any): Promise<import("axios").AxiosResponse<any>>;
}
