export declare const innerRouter: ({
    path: string;
    redirect: string;
    meta: {
        auth: boolean;
        header: string;
        title?: undefined;
    };
    component: import("vue").VueConstructor<import("vue").default>;
    children: {
        path: string;
        name: string;
        meta: {
            title: string;
            auth: boolean;
            header: string;
        };
        component: import("vue").VueConstructor<import("vue").default>;
    }[];
    name?: undefined;
} | {
    path: string;
    name: string;
    meta: {
        title: string;
        auth: boolean;
        header: string;
    };
    component: import("vue").VueConstructor<import("vue").default>;
    redirect?: undefined;
    children?: undefined;
})[];
export declare const outerRouter: {
    memberRouter: {
        path: string;
        name: string;
        meta: {
            title: string;
            auth: (to: any, _from: any, _next: any) => Promise<any>;
        };
        component: import("vue").VueConstructor<import("vue").default>;
        children: {
            path: string;
            meta: {
                title: string;
            };
            component: import("vue").VueConstructor<import("vue").default>;
        }[];
    };
    appRouter: {
        member: {
            path: string;
            name: string;
            meta: {
                title: string;
                auth: (to: any, _from: any, _next: any) => Promise<any>;
            };
            component: import("vue").VueConstructor<import("vue").default>;
        };
        overview: {
            path: string;
            name: string;
            meta: {
                title: string;
                auth: (to: any, _from: any, _next: any) => Promise<any>;
            };
            component: import("vue").VueConstructor<import("vue").default>;
        }[];
        account: {
            path: string;
            name: string;
            meta: {
                title: string;
                auth: (to: any, _from: any, _next: any) => Promise<any>;
            };
            component: import("vue").VueConstructor<import("vue").default>;
            children: {
                path: string;
                name: string;
                meta: {
                    title: string;
                };
                component: import("vue").VueConstructor<import("vue").default>;
            }[];
        };
    };
};
